package com.jwipc.sys.logic;

import com.jwipc.page.PageView;
import com.jwipc.sys.dto.SequenceEditDTO;
import com.jwipc.sys.model.query.SequenceListQuery;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
public interface SequenceLogic {
    PageView getPageList(SequenceListQuery query);

    SequenceEditDTO getForEdit(Long id);

    /**
     * 更新单据规则
     * @param sequenceEditDTO
     */
    void update(SequenceEditDTO sequenceEditDTO);
}